#!/bin/tcsh

echo FUNCTIONS TEST GROUP

echo FUNCTION ABS
cp functions.1 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.2 result
if ( $? != 0 ) goto err

echo FUNCTION ACOS
cp functions.3 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.4 result
if ( $? != 0 ) goto err

echo FUNCTION ANNUITY
cp functions.5 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.6 result
if ( $? != 0 ) goto err

echo FUNCTION ASIN
cp functions.7 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.8 result
if ( $? != 0 ) goto err

echo FUNCTION ATAN
cp functions.9 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.10 result
if ( $? != 0 ) goto err

echo FUNCTION CHAR
cp functions.11 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.12 result
if ( $? != 0 ) goto err

echo FUNCTION COS
cp functions.13 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.14 result
if ( $? != 0 ) goto err

echo FUNCTION DATE-OF-INTEGER
cp functions.15 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.16 result
if ( $? != 0 ) goto err

echo FUNCTION DATE-TO-YYYYMMDD
cp functions.17 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.18 result
if ( $? != 0 ) goto err

echo FUNCTION DAY-OF-INTEGER
cp functions.19 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.20 result
if ( $? != 0 ) goto err

echo FUNCTION DAY-TO-YYYYDDD
cp functions.21 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.22 result
if ( $? != 0 ) goto err

echo FUNCTION EXCEPTION-FILE
cp functions.23 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.24 result
if ( $? != 0 ) goto err

echo FUNCTION EXCEPTION-LOCATION
cp functions.25 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.26 result
if ( $? != 0 ) goto err

echo FUNCTION EXCEPTION-STATEMENT
cp functions.27 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.28 result
if ( $? != 0 ) goto err

echo FUNCTION EXCEPTION-STATUS
cp functions.29 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.30 result
if ( $? != 0 ) goto err

echo FUNCTION EXP
cp functions.31 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.32 result
if ( $? != 0 ) goto err

echo FUNCTION FACTORIAL
cp functions.33 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.34 result
if ( $? != 0 ) goto err

echo FUNCTION FRACTION-PART
cp functions.35 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.36 result
if ( $? != 0 ) goto err

echo FUNCTION INTEGER
cp functions.37 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.38 result
if ( $? != 0 ) goto err

echo FUNCTION INTEGER-OF-DATE
cp functions.39 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.40 result
if ( $? != 0 ) goto err

echo FUNCTION INTEGER-OF-DAY
cp functions.41 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.42 result
if ( $? != 0 ) goto err

echo FUNCTION INTEGER-PART
cp functions.43 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.44 result
if ( $? != 0 ) goto err

echo FUNCTION LENGTH
cp functions.45 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.46 result
if ( $? != 0 ) goto err

echo FUNCTION LOCALE-DATE
cp functions.95 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.96 result
if ( $? != 0 ) goto err

echo FUNCTION LOCALE-TIME
cp functions.97 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.98 result
if ( $? != 0 ) goto err

echo FUNCTION LOG
cp functions.47 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.48 result
if ( $? != 0 ) goto err

echo FUNCTION LOG10
cp functions.49 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.50 result
if ( $? != 0 ) goto err

echo FUNCTION LOWER-CASE
cp functions.51 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.52 result
if ( $? != 0 ) goto err

echo FUNCTION MAX
cp functions.53 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.54 result
if ( $? != 0 ) goto err

echo FUNCTION MEAN
cp functions.55 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.56 result
if ( $? != 0 ) goto err

echo FUNCTION MEDIAN
cp functions.57 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.58 result
if ( $? != 0 ) goto err

echo FUNCTION MIDRANGE
cp functions.59 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.60 result
if ( $? != 0 ) goto err

echo FUNCTION MIN
cp functions.61 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.62 result
if ( $? != 0 ) goto err

echo FUNCTION MOD
cp functions.63 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.64 result
if ( $? != 0 ) goto err

echo FUNCTION NUMVAL
cp functions.65 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.66 result
if ( $? != 0 ) goto err

echo FUNCTION NUMVAL-C
cp functions.99 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.100 result
if ( $? != 0 ) goto err

echo FUNCTION ORD
cp functions.67 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.68 result
if ( $? != 0 ) goto err

echo FUNCTION ORD-MAX
cp functions.69 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.70 result
if ( $? != 0 ) goto err

echo FUNCTION ORD-MIN
cp functions.71 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.72 result
if ( $? != 0 ) goto err

echo FUNCTION PRESENT-VALUE
cp functions.73 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.74 result
if ( $? != 0 ) goto err

echo FUNCTION RANGE
cp functions.75 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.76 result
if ( $? != 0 ) goto err

echo FUNCTION REM
cp functions.77 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.78 result
if ( $? != 0 ) goto err

echo FUNCTION REVERSE
cp functions.79 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.80 result
if ( $? != 0 ) goto err

echo FUNCTION SECONDS-FROM-FORMATTED-TIME
cp functions.101 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.102 result
if ( $? != 0 ) goto err

echo FUNCTION SECONDS-PAST-MIDNIGHT
cp functions.103 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.104 result
if ( $? != 0 ) goto err

echo FUNCTION SIGN
cp functions.81 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.82 result
if ( $? != 0 ) goto err

echo FUNCTION SIN
cp functions.83 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.84 result
if ( $? != 0 ) goto err

echo FUNCTION SQRT
cp functions.85 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.86 result
if ( $? != 0 ) goto err

echo FUNCTION STANDARD-DEVIATION
cp functions.87 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.88 result
if ( $? != 0 ) goto err

echo FUNCTION STORED-CHAR-LENGTH
cp functions.89 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.90 result
if ( $? != 0 ) goto err

echo FUNCTION TAN
cp functions.91 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.92 result
if ( $? != 0 ) goto err

echo FUNCTION TRIM
cp functions.105 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.106 result
if ( $? != 0 ) goto err

echo FUNCTION UPPER-CASE
cp functions.107 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.108 result
if ( $? != 0 ) goto err

echo FUNCTION VARIANCE
cp functions.93 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff functions.94 result
if ( $? != 0 ) goto err

echo FUNCTIONS TEST PASSED
rm prog* result comp.out
goto end

err:
	echo FUNCTIONS TEST FAILED
	exit(1)
end:
	exit(0)

